Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 611620 - [abrt] crash in openoffice.org-writer-1:3.2.0-12.25.fc13: SfxItemSet::Put: Process /usr/lib/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
[abrt] crash in openoffice.org-writer-1:3.2.0-12.25.fc13: SfxItemSet::Put: Pr...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:b808a113fd109dc6bffc5b7d66f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-05 20:21 EDT by Robert Townley
Modified: 2010-07-07 15:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 15:40:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.99 KB, text/plain)
2010-07-05 20:21 EDT, Robert Townley
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 113024 None None None Never

  None (edit)
Description Robert Townley 2010-07-05 20:21:57 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/openoffice.org3/program/swriter.bin -writer file:///home/public/downloads/BCDedit_reff.docx
component: openoffice.org
crash_function: SfxItemSet::Put
executable: /usr/lib/openoffice.org3/program/swriter.bin
global_uuid: b808a113fd109dc6bffc5b7d66f0e3a134ee7337
kernel: 2.6.33.5-124.fc13.i686.PAE
package: openoffice.org-writer-1:3.2.0-12.25.fc13
rating: 4
reason: Process /usr/lib/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

comment
-----
Attempted to open the docx file at http://download.microsoft.com/download/9/c/5/9c5b2167-8017-4bae-9fde-d599bac8184a/BCDedit_reff.docx


How to reproduce
-----
1.http://www.microsoft.com/whdc/system/platform/firmware/bcdedit_reff.mspx
2.Click the Download link:  http://download.microsoft.com/download/9/c/5/9c5b2167-8017-4bae-9fde-d599bac8184a/BCDedit_reff.docx
3.Attempt to open with OpenOffice
Comment 1 Robert Townley 2010-07-05 20:21:59 EDT
Created attachment 429629 [details]
File: backtrace
Comment 2 Robert Townley 2010-07-05 20:23:44 EDT
The following HotStart.docx does not crash OOO writer:

http://download.microsoft.com/download/a/f/7/af7777e5-7dcd-4800-8a0a-b18336565f5b/HotStart.docx
Comment 3 Caolan McNamara 2010-07-07 15:26:30 EDT
Reproducible.
Comment 4 Caolan McNamara 2010-07-07 15:40:17 EDT
Non-trivial, and that .docx filter is tricky, sending upstream

Note You need to log in before you can comment on or make changes to this bug.